#pragma once
#include "normalresponse.h"

class CFileDeleteResponse :
	public CNormalResponse
{
public:
	CFileDeleteResponse(CServer *server,CWorkspaceAccess context,CRequest request,CAlias alias);
	virtual ~CFileDeleteResponse(void);

	virtual void PreCreateResponse() {};			//	1:レスポンス生成準備		
	virtual void SetNextData(CBuffer &data) {};		//	2:受信データの設定(繰り返し)
	virtual void CreateResponse();					//	3:レスポンスの生成
	virtual __int64 GetResponseSize();				//	4:レスポンスサイズの取得
//	virtual CWorkspaceAccess GetResponseInfo();		//	5:レスポンス情報を取得
	virtual int GetNextData(CBuffer &data);			//	6:レスポンスの取得
};
